@import url("../../css/bootstrap.css");
@import url("../../libs/toastr/build/toastr.min.css");
@import url("../../libs/fastadmin-layer/dist/theme/default/layer.css");
@import url("../../css/iconfont.css");
@import url("../../libs/font-awesome/css/font-awesome.min.css");

html,
body {
    max-width: 1000px;
    padding: 0;
    margin: 0 auto;
    background: #ffffff;
    position: relative;
    font-size: 14px;
    font-family: PingFang SC;
    background-image: url('https://hnjkkp.oss-cn-guangzhou.aliyuncs.com/assets/img/bg2.png');
    background-size: 100% auto;
    background-repeat: no-repeat;
}

.zhuti {
    width: 300px;
    display: block;
    margin: 0 auto;
}

.main-content {
    position: inherit;
    height: calc(100vh - 50px);
    overflow: scroll;
}

.main-content::-webkit-scrollbar {
    width: 0;
}

.module {
    background: #ffffff;
    padding: 12px;
    margin: 0 15px;
    border-radius: 15px;
}

.module .module-title-1 {
    font-family: PingFang SC;
    font-weight: 500;
    font-size: 19px;
    color: #000000;
    text-align: center;
    margin-bottom: 20px;
}

.module .module-tips-1 {
    font-family: PingFang SC;
    font-weight: 500;
    font-size: 13px;
    color: #E30D01;
    text-align: center;
}

.back-bar {
    height: 50px;
    display: flex;
    align-items: center;
    padding: 0 15px;
}

.back-btn {
    display: flex;
    align-items: center;
    height: 26px;
    background: rgb(255, 255, 255, 0.44);
    border-radius: 52px;
    font-family: PingFang SC;
    font-weight: 500;
    font-size: 13px;
    line-height: 1rem;
    color: #FFFFFF;
    border: none;
    padding: 0 10px;
}

.back-icon {
    width: 14px;
    height: 14px;
    display: block;
}

.cs-form-group {
    display: flex;
    margin-top: 20px;
    padding-right: 30px;
}

.cs-form-group .form-label {
    min-width: 60px;
    max-width: 60px;
    padding: 10px 10px 0 0;
    line-height: 1.2rem;
    box-sizing: border-box;
    display: flex;
    justify-content: flex-end;
    font-weight: 400;
}

.cs-form-group .form-label.require::before {
    content: '*';
    color: #E30D01;
    display: block;
}

.cs-form-group .form-control-box {
    flex-grow: 1;
}

.cs-form-group .form-control-box input {
    width: 100%;
    height: 34px;
    border: 1px solid #DFDFDF;
    border-radius: 8px;
    box-sizing: border-box;
    padding: 0 8px;
}

.cs-form-group .form-control-box textarea {
    width: 100%;
    height: 100px;
    border: 1px solid #DFDFDF;
    border-radius: 8px;
    box-sizing: border-box;
    padding: 0 8px;
}

.cs-form-group .form-group-tips {
    font-weight: 500;
    font-size: 10px;
    color: #D04444;
    line-height: 18px;
    padding-top: 10px;
}

.cs-form-group .upload-box {
    padding: 8px 15px;
}

.category-tips {
    font-weight: 500;
    font-size: 10px;
    color: #D04444;
    line-height: 18px;
    margin-top: 15px;
    background: #efefef;
    padding: 15px;
    border-radius: 8px;
}

button.faupload {
    background: #225FD2;
    border: 1px solid #225FD2;
    border-radius: 8px;
}

button.btn-custom {
    background: #225FD2;
    border: 1px solid #225FD2;
    border-radius: 8px;
    white-space: nowrap;
    color: #ffffff;
    font-size: 12px;
}

button.btn-custom:disabled {
    background: #dfdfdf;
    border: 1px solid #cccccc;
    color: #999999;
}

.submit-bar {
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 50px;
}

button.submit-btn {
    background: #225FD2;
    border: 1px solid #225FD2;
    border-radius: 8px;
    width: 90%;
    height: 40px;
    color: #ffffff;
}

/*预览区域*/
.plupload-preview,
.faupload-preview {
    padding: 0 10px;
    margin-bottom: 0;
}

.plupload-preview li,
.faupload-preview li {
    margin-top: 15px;
}

.plupload-preview .thumbnail,
.faupload-preview .thumbnail {
    margin-bottom: 10px;
}

.plupload-preview a,
.faupload-preview a {
    display: block;
}

.plupload-preview a:first-child,
.faupload-preview a:first-child {
    height: 90px;
}

.plupload-preview a img,
.faupload-preview a img {
    height: 80px;
    object-fit: cover;
}

.pjax-loader-bar .progress {
    position: fixed;
    top: 0;
    left: 0;
    height: 2px;
    background: #77b6ff;
    box-shadow: 0 0 10px rgba(119, 182, 255, 0.7);
    -webkit-transition: width 0.4s ease;
    transition: width 0.4s ease;
}